### Method

# Camel Service get_uid

since: 3.2

#### Declaration [src]

    const gchar*
    camel_service_get_uid (
      CamelService* service
    )

#### Description [src]

Gets the unique identifier string associated with the service.

Available since: 3.2

Gets property | `Camel.Service:uid`

#### Return value

Type: `const gchar*`

The UID string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.